Name:             perl-Module-CoreList
Epoch:            1
Version:          5.20211020
Release:          2
Summary:          what modules shipped with versions of perl
License:          GPL+ or Artistic
URL:              https://metacpan.org/release/Module-CoreList
Source0:          https://cpan.metacpan.org/authors/id/B/BI/BINGOS/Module-CoreList-%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    perl coreutils make  perl-generators perl-interpreter perl(Config) perl(List::Util) perl(strict) 
BuildRequires:    perl(version) perl(ExtUtils::MakeMaker) perl(warnings) perl(Test::More) make 
Requires:         perl(List::Util) perl(version) perl(feature) perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Provides:         perl-Module-CoreList-tools
Obsoletes:        perl-Module-CoreList-tools

%description
Module::CoreList provides information on which core and dual-life modules shipped with each
version of perl. It provides a number of mechanisms for querying this information. There is 
a utility called corelist provided with this module which is a convenient way of querying 
from the command-line. There is a functional programming API available for programmers to 
query information. Programmers may also query the contained hash structures to find relevant 
information.

%package_help

%prep
%autosetup -n Module-CoreList-%{version} -p1

%build
perl Makefile.PL NO_PACKLIST=1 INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root)
%doc README Changes
%{_bindir}/corelist
%{perl_vendorlib}/*

%files help
%defattr(-,root,root)
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Oct 25 2022 wangjiang <wangjiang37@h-partners.com> - 1:5.20211020-2
- Rebuild for next release

* Tue Dec 21 2021 shangyibin <shangyibin1@huawei.com> - 1:5.20211020-1
- upgrade version to 5.20211020

* Tue Jan 26 2021 liudabo <liudabo1@huawei.com> - 1:5.20201220-1
- upgrade version to 5.20201220

* Mon Jul 27 2020 zhanzhimin <zhanzhimin@huawei.com> - 1:5.20200717-1
- 5.20200717 bump

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:5.20180920-2 
- Package init

